Subject: Re: [PATCH v2] rev-parse --namespace

From: Ilari Liusvaara <[email-masked]>
Date: Tue, 19 Jan 2010 23:44:00 +0200

On Tue, Jan 19, 2010 at 12:06:12PM -0800, Junio C Hamano wrote:
> Ilari Liusvaara <[email-masked]> writes:
> 
> > ..., if matching power would be extended,
> > probably the easiest extension would be full-blown extended regular
> > expressions.
> 
> As refs behave like a filesystem path and we try to use fnmatch() for
> anything that behave like a filesystem path, that would break consistency.

Eh, remind me what commands take refs and shell-glob them? The only
'globbing' of refs I'm aware of is in refspecs, and that definitely isn't
shell globbing...

-Ilari